## python-rst2ansi 0.1.5

=== Makefile ===
PY := python3

export PATH := $(shell pwd)/bin:$(PATH)
export PYTHONPATH=$(shell pwd)

BUILD = $(PY) setup.py

build:
	$(BUILD) build

install:
	$(BUILD) install

test:
	cram test -v

clean:
	$(BUILD) clean

.PHONY: build install test clean

=== debian/changelog ===
python-rst2ansi (0.1.5-4) unstable; urgency=medium

  * Team upload.
  * Add a patch to remove unused imports, to fix build with Docutils 0.22.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 25 Sep 2025 00:54:30 +0300

python-rst2ansi (0.1.5-3) unstable; urgency=medium

  * QA upload.
  * Orphan the package. (See #1093736)

 -- Boyuan Yang <byang@debian.org>  Tue, 21 Jan 2025 21:07:51 -0500

python-rst2ansi (0.1.5-2) unstable; urgency=medium

  * Source-only upload.

 -- Boyuan Yang <byang@debian.org>  Sat, 27 Apr 2024 22:21:33 -0400

python-rst2ansi (0.1.5-1) unstable; urgency=medium

  * Initial packaging. (Closes: #1067713)
  * Fix license information.

 -- Boyuan Yang <byang@debian.org>  Sat, 20 Apr 2024 21:17:15 -0400

=== debian/control ===
Source: python-rst2ansi
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 python3-all,
 python3-setuptools,
 python3-cram <!nocheck>,
Standards-Version: 4.7.0
Testsuite: autopkgtest-pkg-python
Homepage: https://github.com/Snaipe/python-rst2ansi
Vcs-Git: https://salsa.debian.org/python-team/packages/python-rst2ansi.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-rst2ansi
Description: Python module to render reStructuredText to ansi-escaped strings
 The rst2ansi project is a python module dedicated to rendering RST
 (reStructuredText) documents to ansi-escaped strings suitable for display
 in a terminal.

Package: python3-rst2ansi
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: ${source:Synopsis}
 ${source:Extended-Description}
 .
 This is the python3 version of the package.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_test:
	# Need package to be installed, should be moved to autopkgtest
	#cram3 test -v

=== debian/watch ===
version=4
opts="filenamemangle=s%.*/@ANY_VERSION@%@PACKAGE@-$1.tar.gz%,searchmode=plain" \
 https://api.github.com/repos/Snaipe/python-rst2ansi/tags?per_page=100 \
 https://api.github.com/repos/Snaipe/python-rst2ansi/tarball/refs/tags/@ANY_VERSION@
